require 'test_helper'

module A4nt
  class AnnouncementsControllerTest < ActionController::TestCase
    setup do
      @announcement = a4nt_announcements(:one)
    end
  
    test "should get index" do
      get :index
      assert_response :success
      assert_not_nil assigns(:announcements)
    end
  
    test "should get new" do
      get :new
      assert_response :success
    end
  
    test "should create announcement" do
      assert_difference('Announcement.count') do
        post :create, announcement: { body: @announcement.body, end_time: @announcement.end_time, position: @announcement.position, start_time: @announcement.start_time, title: @announcement.title }
      end
  
      assert_redirected_to announcement_path(assigns(:announcement))
    end
  
    test "should show announcement" do
      get :show, id: @announcement
      assert_response :success
    end
  
    test "should get edit" do
      get :edit, id: @announcement
      assert_response :success
    end
  
    test "should update announcement" do
      put :update, id: @announcement, announcement: { body: @announcement.body, end_time: @announcement.end_time, position: @announcement.position, start_time: @announcement.start_time, title: @announcement.title }
      assert_redirected_to announcement_path(assigns(:announcement))
    end
  
    test "should destroy announcement" do
      assert_difference('Announcement.count', -1) do
        delete :destroy, id: @announcement
      end
  
      assert_redirected_to announcements_path
    end
  end
end
